/*
 * rtables.h
 * This file is part of Network-inador
 *
 * Copyright (C) 2025 - Félix Arreola Rodríguez
 *
 * Network-inador is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Network-inador is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Network-inador; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#ifndef __RTABLES_H__
#define __RTABLES_H__

#include <stdint.h>

#include <netlink/socket.h>
#include <netlink/msg.h>

#include "network-inador-private.h"

typedef struct {
	uint32_t table;
	char name[256];
	
	int for_delete, was_new;
} RouteTable;

void rtables_init (NetworkInadorHandle *handle);
void rtables_clean_up (NetworkInadorHandle *handle);

#endif /* __RTABLES_H__ */

